Loading...
Searching...
No Matches
pappso::FilterRemoveY Class Reference

removes a value to all Y values More...

`#include <filterpass.h>`

Inheritance diagram for pappso::FilterRemoveY:

## Public Member Functions

| FilterRemoveY (double valueToRemove)
| FilterRemoveY (const FilterRemoveY &other)
virtual | ~FilterRemoveY ()
FilterRemoveY & | operator= (const FilterRemoveY &other)
Trace & | filter (Trace &data_points) const override
double | getValue () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

double | m_valueToRemove = 0

## Detailed Description

removes a value to all Y values

Definition at line 234 of file filterpass.h.

## Constructor & Destructor Documentation

## FilterRemoveY() [1/2]

FilterRemoveY::FilterRemoveY | ( | double | valueToRemove | ) |

Definition at line 466 of file filterpass.cpp.

: m_valueToRemove(valueToRemove)
{
}
pappso::FilterRemoveY::m_valueToRemove
double m_valueToRemove
Definition filterpass.h:237

## FilterRemoveY() [2/2]

FilterRemoveY::FilterRemoveY | ( | const FilterRemoveY & | other | ) |

Definition at line 471 of file filterpass.cpp.

: m_valueToRemove(other.m_valueToRemove)
{
}

## ~FilterRemoveY()

virtual pappso::FilterRemoveY::~FilterRemoveY | ( |  | ) |

inline virtual

Definition at line 242 of file filterpass.h.

{};

## Member Function Documentation

## filter()

Trace & FilterRemoveY::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 490 of file filterpass.cpp.

{
for(auto &&dataPoint : data_points)
{
if(dataPoint.y < m_valueToRemove)
dataPoint.y = 0;
else
dataPoint.y = dataPoint.y - m_valueToRemove;
}
return data_points;
}

References m_valueToRemove.

## getValue()

double FilterRemoveY::getValue | ( |  | ) | const

Definition at line 484 of file filterpass.cpp.

{
return m_valueToRemove;
}

References m_valueToRemove.

## operator=()

FilterRemoveY & FilterRemoveY::operator= | ( | const FilterRemoveY & | other | ) |

Definition at line 477 of file filterpass.cpp.

{
m_valueToRemove = other.m_valueToRemove;
return *this;
}

References m_valueToRemove.

## Member Data Documentation

## m_valueToRemove

double pappso::FilterRemoveY::m_valueToRemove = 0

private

Definition at line 237 of file filterpass.h.

Referenced by filter(), getValue(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterpass.h
- pappsomspp/processing/filters/filterpass.cpp